members.dev
Payments

Cancel Custom Payment

Cancels a Custom Payment

POST
/v1/payments/{payment_id}/cancel

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Path Parameters

payment_id*string

Header Parameters

Members-Context?string

Members organization id (org_…) when the client has multiple organizations.

Default""

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://api.members.dev/v1/payments/string/cancel"
{
  "id": "string",
  "tenant_id": "string",
  "organization_id": "string",
  "member_id": "string",
  "amount_allocated": 0,
  "currency": "str",
  "payment_method_id": "string",
  "payment_method_description": "string",
  "provider_payment_method_id": "string",
  "payment_method_details": {},
  "status": "pending",
  "provider": "stripe",
  "provider_payment_intent_id": "string",
  "save_payment_method_requested": true,
  "failure_code": "string",
  "failure_message": "string",
  "notes": "string",
  "invoice_allocations": [
    {
      "invoice_id": "string",
      "amount": 0,
      "currency": "str"
    }
  ],
  "client_secret": "string",
  "created_at": null,
  "updated_at": null
}
{
  "type": "https://api.members.dev/errors/invalid_credentials",
  "title": "Invalid credentials",
  "status": 401,
  "detail": "Invalid API Key or token.",
  "code": "invalid_credentials"
}
{
  "type": "https://api.members.dev/errors/not_linked_to_tenant",
  "title": "Not linked to tenant",
  "status": 403,
  "detail": "Not linked to this tenant",
  "code": "not_linked_to_tenant"
}
{
  "type": "https://api.members.dev/errors/member_not_found",
  "title": "Member not found",
  "status": 404,
  "detail": "No member exists with the given id in this organization.",
  "code": "member_not_found"
}
{
  "type": "https://api.members.dev/errors/members_context_required",
  "title": "Members context required",
  "status": 422,
  "detail": "This client has multiple organizations. Send the Members-Context header with the organization id (org_…) for this request.",
  "code": "members_context_required"
}
{
  "type": "https://api.members.dev/errors/rate_limit_exceeded",
  "title": "Rate limit exceeded",
  "status": 429,
  "detail": "Rate limit exceeded",
  "code": "rate_limit_exceeded"
}